PlatformDependencyModifiers (Gradle API 9.7.0)
Description: declaration: package: org.gradle.api.plugins.jvm, interface: PlatformDependencyModifiers

# Interface PlatformDependencyModifiers

All Known Subinterfaces:
  `JvmComponentDependencies`

@Incubating public interface PlatformDependencyModifiers
Dependency modifier APIs that can find platform and enforced platforms in other modules for `dependencies` blocks.

Since:
  8.0
API Note:
  This interface is intended to be used to mix-in methods that modify dependencies into the DSL.
Implementation Requirements:
  The default implementation of all methods should not be overridden.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `PlatformDependencyModifiers.EnforcedPlatformDependencyModifier`
  Implementation for the enforced platform dependency modifier.
  `static class`
  `PlatformDependencyModifiers.PlatformDependencyModifier`
  Implementation for the platform dependency modifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlatformDependencyModifiers.EnforcedPlatformDependencyModifier`
  `getEnforcedPlatform()`
  A dependency modifier that can modify a dependency to select an enforced platform variant.
  `PlatformDependencyModifiers.PlatformDependencyModifier`
  `getPlatform()`
  A dependency modifier that can modify a dependency to select a platform variant.

- ## Method Details

  - ### getPlatform

    PlatformDependencyModifiers.PlatformDependencyModifier getPlatform()
    A dependency modifier that can modify a dependency to select a platform variant.
    Returns:
      the dependency modifier
    See Also:
      - `PlatformDependencyModifiers.PlatformDependencyModifier.modifyImplementation(ModuleDependency)`
    Implementation Requirements:
      Do not implement this method. Gradle generates the implementation automatically.

  - ### getEnforcedPlatform

    PlatformDependencyModifiers.EnforcedPlatformDependencyModifier getEnforcedPlatform()
    A dependency modifier that can modify a dependency to select an enforced platform variant.
    Returns:
      the dependency modifier
    See Also:
      - `PlatformDependencyModifiers.EnforcedPlatformDependencyModifier.modifyImplementation(ModuleDependency)`
    Implementation Requirements:
      Do not implement this method. Gradle generates the implementation automatically.